import { defineComponent as k, ref as v, computed as a, openBlock as u, createElementBlock as d, normalizeClass as S, renderSlot as p, createElementVNode as y, unref as s, toDisplayString as B, createCommentVNode as w } from "vue";
function t(o) {
  if (typeof o == "boolean")
    return o;
  if (typeof o == "string")
    switch (o = o.trim().toLowerCase(), o) {
      case "true":
        return !0;
      case "false":
        return !1;
    }
}
const R = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  parseBoolean: t
}, Symbol.toStringTag, { value: "Module" }));
let C = (o = 21) => crypto.getRandomValues(new Uint8Array(o)).reduce((n, r) => (r &= 63, r < 36 ? n += r.toString(36) : r < 62 ? n += (r - 26).toString(36).toUpperCase() : r > 62 ? n += "-" : n += "_", n), "");
const _ = ["aria-label", "checked", "disabled", "id", "name", "required", "role", "value"], V = ["for"], T = /* @__PURE__ */ k({
  __name: "TarCheckbox",
  props: {
    ariaLabel: {},
    disabled: { type: [Boolean, String] },
    id: {},
    inline: { type: [Boolean, String] },
    label: {},
    modelValue: { type: [Boolean, String] },
    name: {},
    required: { type: [Boolean, String] },
    reverse: { type: [Boolean, String] },
    switch: { type: [Boolean, String] },
    value: {}
  },
  emits: ["update:model-value"],
  setup(o, { expose: n, emit: r }) {
    const l = o, i = v(), f = a(() => {
      const e = ["form-check"];
      return t(l.inline) && e.push("form-check-inline"), t(l.reverse) && e.push("form-check-reverse"), t(l.switch) && e.push("form-switch"), e;
    }), c = a(() => l.id ?? C()), m = a(() => l.switch ? "switch" : void 0), h = r;
    function b(e) {
      h("update:model-value", e.target.checked);
    }
    function g() {
      var e;
      (e = i.value) == null || e.focus();
    }
    return n({ focus: g }), (e, q) => (u(), d("div", {
      class: S(f.value)
    }, [
      p(e.$slots, "default", {}, () => [
        y("input", {
          "aria-label": e.ariaLabel,
          checked: s(t)(e.modelValue),
          class: "form-check-input",
          disabled: s(t)(e.disabled),
          id: c.value,
          name: e.name,
          ref_key: "inputRef",
          ref: i,
          required: s(t)(e.required),
          role: m.value,
          type: "checkbox",
          value: e.value,
          onChange: b
        }, null, 40, _),
        p(e.$slots, "label-override", {}, () => [
          e.label ? (u(), d("label", {
            key: 0,
            class: "form-check-label",
            for: c.value
          }, B(e.label), 9, V)) : w("", !0)
        ])
      ])
    ], 2));
  }
});
export {
  T as TarCheckbox,
  R as parsingUtils
};
//# sourceMappingURL=logitar-vue3-ui.js.map
